const express = require('express');
const router = express.Router();
const multer = require('multer');
const { signupUserRequest } = require('../controllers/authController');

// Init multer memory storage (or just for form parsing)
const upload = multer();

// POST /signup - with multipart/form-data, no files
router.post('/signup', upload.none(), signupUserRequest);

module.exports = router;    
